# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate rcgen

Name:           rust-rcgen
Version:        0.13.1
Release:        %autorelease
Summary:        Rust X.509 certificate generator

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/rcgen
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused support for the aws-lc-rs crypto backend
# * drop unused x509-parser support
# * drop botan dev-dependency (Rust bindings for botan are not packaged)
Patch:          rcgen-fix-metadata.diff
Patch:          0001-fix-compilation-failure-of-OpenSSL-tests-on-32-bit-a.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust X.509 certificate generator.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pem-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pem-devel %{_description}

This package contains library source intended for building other packages which
use the "pem" feature of the "%{crate}" crate.

%files       -n %{name}+pem-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop example that depends on x509-parser support
rm examples/sign-leaf-with-ca.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
